Package: groovy.jmx.builder

## [Groovy] Class JmxEmitterFactory

- groovy.jmx.builder.JmxEmitterFactory

- This class is the factory for the emitter node. This node facilitates the declaration of a JMX event emitter. The emitter is used to broadcast arbitrary event on the MBeanServer's event bus. Registered listeners are able to consume event once sent.

  Supported syntax:

       def jmx = JmxBuilder()
       jmx.emitter(name:"Object name"|ObjectName(), event:"event type")
       ...
       jmx.emitter.send(object)

  Authors:
    Vladimir Vivien

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isLeaf()`
    `` | `def` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeParam, Map nodeAttribs)`
    `` | `boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)`
    `` | `void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `onFactoryRegistration, isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, setChild, setParent, isLeaf, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, newInstance`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### boolean isLeaf()

    - #### def newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeParam, Map nodeAttribs)

    - #### boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)

    - #### void onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)